Update a robot workspace
Update a reusable Robot workspace template.
/robots/workspaces/{workspace_id}Update a reusable Robot workspace template.
In: cookie
Path Parameters
Robot workspace ID
xidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/robots/workspaces/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "description": "string", "provider": "local", "config": {}, "allow_untrusted_commands": true, "meta": {}, "created_by": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }}List robot workspaces GET
Get a paginated list of reusable Robot workspace templates.
Cancel an active Robot action PUT
Request cancellation for one queued or running Robot action. A queued action is cancelled before it starts. A running action forwards the cancellation request to the Robot session coordinator. Other action runs in the same Trail run continue independently.